Unpin Configuration for Flow Control Key
curl --request POST \
--url https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/unpin \
--header 'Authorization: Bearer <token>'import requests
url = "https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/unpin"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/unpin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Flow Control
Unpin Configuration for Flow Control Key
Removes the pinned configuration for a specific flow-control key.
POST
/
v2
/
flowControl
/
{flowControlKey}
/
unpin
Unpin Configuration for Flow Control Key
Authorizations
bearerAuthbearerAuthQuery
QStash authentication token
Path Parameters
The flow-control key for which the configuration will be unpinned.
Query Parameters
The flag to indicate whether to unpin the parallelism configuration.
The flag to indicate whether to unpin the rate configuration.
Response
The flow-control key configuration is pinned
Was this page helpful?
⌘I